#
# spec file for package calendarsupport
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname libKF5CalendarSupport5
Name:           calendarsupport
Version:        16.08.2
Release:        2.2
Summary:        KDE PIM calendaring support library
License:        GPL-2.0+ and LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-calendar-devel
BuildRequires:  akonadi-mime-devel = %{version}
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kcalcore-devel
BuildRequires:  kcalutils-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kholidays-devel
BuildRequires:  ki18n-devel
BuildRequires:  kidentitymanagement-devel
BuildRequires:  kmime-devel
BuildRequires:  pimcommon-devel
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the calendarsupport library, used by KDE PIM applications to handle calendaring.

%package -n %{lname}
Summary:        Library for handling calendaring in PIM applications
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Libraries
Requires:       %{name}

%description -n %{lname}
This package contains the calendarsupport library, used by KDE PIM applications to handle calendaring.

%package devel
Summary:        Development package for the KDEPIM Calendarsupport library
License:        LGPL-2.1+
Group:          Development/Libraries
Requires:       %{lname} = %{version}
Requires:       kmime-devel >= %{version}
Requires:       kidentitymanagement-devel >= %{version}
Requires:       akonadi-calendar-devel >= %{version}

%description devel
The development package for the calendarsupport libraries

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%post -n %{lname}  -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kf5_configdir}/calendarsupport.categories
%{_kf5_servicetypesdir}/calendarplugin.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/CalendarSupport/
%{_includedir}/KF5/calendarsupport/
%{_includedir}/KF5/calendarsupport_version.h
%{_libdir}/cmake/KF5CalendarSupport/
%{_libdir}/qt5/mkspecs/modules/qt_CalendarSupport.pri
%{_libdir}/libKF5CalendarSupport.so

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/libKF5CalendarSupport.so.*

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Thu Jul 21 2016 wbauer@tmo.at
- Cleanup the build requirements
- Add missing Requires to the devel package
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Mon May  9 2016 wbauer@tmo.at
- Move unversioned files from the lib subpackage to the main one,
  as per the shared library packaging policy
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
